> ## Documentation Index
> Fetch the complete documentation index at: https://help.ezyid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets

> Retrieve a list of assets.



## OpenAPI

````yaml GET /api/assets/search
openapi: 3.0.1
info:
  title: EZYiD API
  version: '1.0'
servers:
  - url: https://api-external.ezyid.io
security: []
tags:
  - name: EZYiD.External.API
paths:
  /api/assets/search:
    get:
      tags:
        - EZYiD.External.API
      operationId: EZYiDExternalAPIAssetGetFilteredAssets
      parameters:
        - name: apiKey
          in: query
          schema:
            type: string
        - name: ezyid
          in: query
          schema:
            type: string
        - name: serialNumber
          in: query
          schema:
            type: string
        - name: customID
          in: query
          schema:
            type: string
        - name: locationID
          in: query
          schema:
            type: integer
            format: int32
        - name: categoryID
          in: query
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetListItem'
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetListItem:
      type: object
      properties:
        id:
          type: integer
          format: int32
        batch:
          type: string
          nullable: true
        ezyid:
          type: string
        serialNumber:
          type: string
        manufacturerName:
          type: string
          nullable: true
        assetStatus:
          $ref: '#/components/schemas/NullableOfAssetStatus'
        expiryDate:
          type: string
          format: date-time
          nullable: true
        lastInspectionDate:
          type: string
          format: date-time
          nullable: true
        nextInspectionDate:
          type: string
          format: date-time
          nullable: true
        apkId:
          type: integer
          format: int32
          nullable: true
        assetLocation:
          type: string
          nullable: true
        assetLatitude:
          type: number
          format: double
          nullable: true
        assetLongitude:
          type: number
          format: double
          nullable: true
        nextCheckupDate:
          type: string
          format: date-time
          nullable: true
        nextMaintenanceDate:
          type: string
          format: date-time
          nullable: true
        customID:
          type: string
          nullable: true
        binLocationID:
          type: integer
          format: int32
          nullable: true
        subscriberID:
          type: integer
          format: int32
        category:
          type: integer
          format: int32
        assetName:
          type: string
        modelNumber:
          type: string
    NullableOfAssetStatus:
      type: integer
      nullable: true

````